Cards, prop trading & accounting

Prop Trading Parse Payout Import

Claims a parse lease, reads the file from S3, parses and trader-matches rows, replacing prior rows atomically.

POSThttps://api.toku.com/hris/prop-trading-parse-payout-import

Not available to API keys yet. It will need payments:write.

curl --request POST \
  --url 'https://api.toku.com/hris/prop-trading-parse-payout-import' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "payoutImportID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
200 response
{
  "payoutImportID": "string",
  "status": "DRAFT",
  "totalRows": 0,
  "validRows": 0,
  "errorRows": 0,
  "warnings": [
    "string"
  ],
  "duplicateOfImportID": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

payoutImportIDstring<uuid>required

Response

200Successful response
payoutImportIDstringrequired
statusstringrequired

Available options: DRAFT, PARSING, PARSED, COMMITTING, COMMITTED, FAILED, CANCELLED

totalRowsintegerrequired
validRowsintegerrequired
errorRowsintegerrequired
warningsstring[]required
duplicateOfImportIDstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits